"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var url = require("url");
/**
 * Return URL origin string from `urlString`.
 * If origin is not found, return null
 * @param {string} urlString
 * @returns {string | null}
 * @see https://url.spec.whatwg.org/#origin
 */
exports.getURLOrigin = function (urlString) {
    if (!urlString) {
        return null;
    }
    var obj = url.parse(urlString);
    if (!obj.protocol && !obj.hostname) {
        return null;
    }
    return obj.protocol + "//" + obj.hostname + (obj.port ? ":" + obj.port : "");
};
//# sourceMappingURL=node-get-url-origin.js.map